Bug 193562 - crash when attempting to edit date on an event that is just opening the message dialogue to announce itself
Summary: crash when attempting to edit date on an event that is just opening the messa...
Status: CLOSED FIXED
Alias: None
Product: kalarm
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: David Jarvie
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-05-21 21:57 UTC by Arthur Knight Hammer
Modified: 2010-09-02 10:37 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arthur Knight Hammer 2009-05-21 21:57:39 UTC
Version:           2.1.5 (using 3.5.7 "release 72.11" , openSUSE 10.3)
Compiler:          Target: i586-suse-linux
OS:                Linux (i686) release 2.6.22.19-0.2-default

Setup the desktop to show seconds on the clock.

Make an entry in Kalarm and make sure it is a minute ahead of the clock and you have time to save the event before it is due.

Reopen to edit the event.  Await the message dialog.  Close the edit event window. Kalarm crashes.

Readily reproduced.

Backtrace:
System configuration startup check disabled.

Using host libthread_db library "/lib/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread 0xb60978e0 (LWP 4297)]
[KCrash handler]
#6  0x080a5211 in EditAlarmDlg::slotOk ()
#7  0xb78b658b in KDialogBase::qt_invoke () from /opt/kde3/lib/libkdeui.so.4
#8  0x080a9584 in EditAlarmDlg::qt_invoke ()
#9  0x080b1593 in EditDisplayAlarmDlg::qt_invoke ()
#10 0xb6ec490d in QObject::activate_signal ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#11 0xb6ec54ad in QObject::activate_signal ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#12 0xb71fffdc in QButton::clicked () from /usr/lib/qt3/lib/libqt-mt.so.3
#13 0xb6f5790d in QButton::mouseReleaseEvent ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#14 0xb6efd744 in QWidget::event () from /usr/lib/qt3/lib/libqt-mt.so.3
#15 0xb6e6610c in QApplication::internalNotify ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#16 0xb6e67033 in QApplication::notify () from /usr/lib/qt3/lib/libqt-mt.so.3
#17 0xb75e5d02 in KApplication::notify () from /opt/kde3/lib/libkdecore.so.4
#18 0xb6e054fa in QETWidget::translateMouseEvent ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#19 0xb6e042c6 in QApplication::x11ProcessEvent ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#20 0xb6e150d0 in QEventLoop::processEvents ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#21 0xb6e7cc90 in QEventLoop::enterLoop () from /usr/lib/qt3/lib/libqt-mt.so.3
#22 0xb6e65bef in QApplication::enter_loop ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#23 0xb70475c9 in QDialog::exec () from /usr/lib/qt3/lib/libqt-mt.so.3
#24 0x080c82af in KAlarm::editAlarm ()
#25 0x080f61e7 in MainWindow::slotModify ()
#26 0x080fa528 in MainWindow::slotDoubleClicked ()
#27 0x080fb5a0 in MainWindow::qt_invoke ()
#28 0xb6ec490d in QObject::activate_signal ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#29 0xb78076ee in KListView::executed () from /opt/kde3/lib/libkdeui.so.4
#30 0xb7807a75 in KListView::emitExecute () from /opt/kde3/lib/libkdeui.so.4
#31 0xb7807b17 in KListView::slotMouseButtonClicked ()
   from /opt/kde3/lib/libkdeui.so.4
#32 0xb78f985c in KListView::qt_invoke () from /opt/kde3/lib/libkdeui.so.4
#33 0x080b58e4 in EventListViewBase::qt_invoke ()
#34 0x080b601f in AlarmListView::qt_invoke ()
#35 0xb6ec4871 in QObject::activate_signal ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#36 0xb720c2f2 in QListView::mouseButtonClicked ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#37 0xb6fa8ce9 in QListView::contentsMouseReleaseEventEx ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#38 0xb6fa8fa4 in QListView::contentsMouseReleaseEvent ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#39 0x080b5e69 in AlarmListView::contentsMouseReleaseEvent ()
#40 0xb6fd9911 in QScrollView::viewportMouseReleaseEvent ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#41 0xb6fd6b1d in QScrollView::eventFilter ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#42 0xb6fa56b6 in QListView::eventFilter () from /usr/lib/qt3/lib/libqt-mt.so.3
#43 0xb6ec412c in QObject::activate_filters ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#44 0xb6ec419b in QObject::event () from /usr/lib/qt3/lib/libqt-mt.so.3
#45 0xb6efd62c in QWidget::event () from /usr/lib/qt3/lib/libqt-mt.so.3
#46 0xb6e6610c in QApplication::internalNotify ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#47 0xb6e67033 in QApplication::notify () from /usr/lib/qt3/lib/libqt-mt.so.3
#48 0xb75e5d02 in KApplication::notify () from /opt/kde3/lib/libkdecore.so.4
#49 0xb6e054fa in QETWidget::translateMouseEvent ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#50 0xb6e042c6 in QApplication::x11ProcessEvent ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#51 0xb6e150d0 in QEventLoop::processEvents ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#52 0xb6e7cc90 in QEventLoop::enterLoop () from /usr/lib/qt3/lib/libqt-mt.so.3
#53 0xb6e7cb26 in QEventLoop::exec () from /usr/lib/qt3/lib/libqt-mt.so.3
#54 0xb6e65c7f in QApplication::exec () from /usr/lib/qt3/lib/libqt-mt.so.3
#55 0x0808897d in main ()

Messages from Kalarm from the shell:

art@newyork:~/tmp> kalarm
[1]+  Exit 127                kalarmd
art@newyork:~/tmp> LikeBack: Active Window: MessageWin1
LikeBack: Active Window: MainWin
LikeBack: Active Window: MessageWin
LikeBack: Active Window: MessageWin1
LikeBack: Active Window: MessageWin
LikeBack: Active Window: MainWin
LikeBack: Active Window: MessageWin
LikeBack: Active Window: MainWin
LikeBack: Active Window: MessageWin
LikeBack: Active Window: MainWin
LikeBack: Active Window: MessageWin
LikeBack: Active Window: MainWin
LikeBack: Active Window: MessageWin
LikeBack: Active Window: MainWin
X Error: BadWindow (invalid Window parameter) 3
  Major opcode:  20
  Minor opcode:  0
  Resource id:  0x7e00286
===== LikeBack ===== UNNAMED ACTIVE WINDOW OF TYPE EditDisplayAlarmDlg ======MainWin~~unnamed:EditD                                isplayAlarmDlg
LikeBack: Active Window: MessageWin
===== LikeBack ===== UNNAMED ACTIVE WINDOW OF TYPE EditDisplayAlarmDlg ======MainWin~~unnamed:EditD                                isplayAlarmDlg
LikeBack: Active Window: MessageWin
===== LikeBack ===== UNNAMED ACTIVE WINDOW OF TYPE EditDisplayAlarmDlg ======MainWin~~unnamed:EditD                                isplayAlarmDlg
X Error: BadWindow (invalid Window parameter) 3
  Major opcode:  20
  Minor opcode:  0
  Resource id:  0x7e003ce
LikeBack: Active Window: MainWin
===== LikeBack ===== UNNAMED ACTIVE WINDOW OF TYPE EditDisplayAlarmDlg ======MainWin~~unnamed:EditD                                isplayAlarmDlg
LikeBack: Active Window: MessageWin1
===== LikeBack ===== UNNAMED ACTIVE WINDOW OF TYPE EditDisplayAlarmDlg ======MainWin~~unnamed:EditD                                isplayAlarmDlg
LikeBack: Active Window: MessageWin1
===== LikeBack ===== UNNAMED ACTIVE WINDOW OF TYPE EditDisplayAlarmDlg ======MainWin~~unnamed:EditD                                isplayAlarmDlg
KCrash: Application 'kalarm' crashing...

art@newyork:~/tmp> kalarm
art@newyork:~/tmp> LikeBack: Active Window: MainWin
===== LikeBack ===== UNNAMED ACTIVE WINDOW OF TYPE EditDisplayAlarmDlg ======MainWin~~unnamed:EditDisplayAlarmDlg
LikeBack: Active Window: MainWin
===== LikeBack ===== UNNAMED ACTIVE WINDOW OF TYPE EditDisplayAlarmDlg ======MainWin~~unnamed:EditDisplayAlarmDlg
LikeBack: Active Window: MessageWin
===== LikeBack ===== UNNAMED ACTIVE WINDOW OF TYPE EditDisplayAlarmDlg ======MainWin~~unnamed:EditDisplayAlarmDlg
KCrash: Application 'kalarm' crashing...

art@newyork:~/tmp>
Comment 1 David Jarvie 2009-05-23 20:05:18 UTC
Fixed for KDE 4.2.4 (SVN commits 971925, 971926).